Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 77176

Summary: mailx inserting extra LF
Product: [Retired] Red Hat Raw Hide Reporter: Reuben Farrelly <reuben-redhatbugzilla>
Component: mailxAssignee: Jiri Ryska <jryska>
Status: CLOSED NOTABUG QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: 1.0   
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2004-11-03 11:48:54 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Reuben Farrelly 2002-11-02 08:46:28 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)

Description of problem:
/bin/mail appears to be inserting an extra <LF> into the output

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. create a test file with appropriate headers (see below for example)
2. mail root@reub.net < /tmp/testmail
3. read in mailer
	

Actual Results:  Mail was delivered succesfully but as mailx appears to have 
added an extra <LF> the headers that were in /tmp/testmail are treated as body 
and not part of the header.

Expected Results:  No LF, therefore statements in /tmp/testmail (namely To: 
From: and Subject: should appear as those in mailer)

Additional info:

[root@tornado tmp]# cat testmail 
From: testmailer@reub.net
To: reuben@reub.net
Subject: See how this works

asdfsdafhkjafjdhs
this is the body

---------------------------------------------------
Output in mailer:

Delivered-To: reuben@reub.net 
Delivered-To: root@reub.net 
Delivered-To: squid@reub.net 
From: root@reub.net 
Date: 2 Nov 2002 19:36:15 +1100 
To: squid@reub.net 
                        <<<<<<<<<<<<<<<<---- where did this CR come from??
From: testmailer@reub.net
To: reuben@reub.net
Subject: See how this works

asdfsdafhkjafjdhs
this is the body

Comment 1 Jiri Ryska 2004-11-03 11:48:54 UTC
Using mail like this: "mail root@reub.net < /tmp/testmail" cause mail
to mail to root@reub.net with body given from /tmp/testmail. And there
is allways LF separating mail headers and body of message.